import { main, dict } from '@/api'
import request from '@/utils/require'

// 列表
export function selectList(data) {
    return request({
        url: `${main}/client/dcykbtmx/queryPageByEntity?pageSize=${data.pageSize}&pageNum=${data.pageNum}`,
        method: 'post',
        data
    })
}

export function queryDetail(dcykbtspbm) {
    return request({
        url: `${main}/client/dcykbtmx/queryDetailByDcykbtspbm?dcykbtspbm=${dcykbtspbm}`,
        method: 'get',
        data:{}
    })
}

export function update(data) {
    return request({
        url: `${main}/client/dcykbtmx/update`,
        method: 'post',
        data
    })
}

//品种新接口
export function getPzOptions(data) {
  return request({
    url: `${dict}/dataDictionary/getDataGroup?groupId=PM001&pdictCode=22`,
    method: 'get',
  })
}
